/*
 * @(#)src/tools/pfm/java_md.h, tool, an32131, 20030509 1.7.2.1
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM Java(tm)2 SDK, Standard Edition, v 1.3.1
 * (C) Copyright IBM Corp. 1998, 2001. All Rights Reserved
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 * ===========================================================================
 */

/* 
 *
 * ===========================================================================
 * 
 *
 * Copyright 1998-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * ===========================================================================
 * Change activity:
 *
 * Reason Date Origin Description
 * ------ ---- ------ ---------------------------------------------------- 
 * 026059  301000 cheersl Brought copyright header up to date
 *
 * ===========================================================================
 * Module Information:
 * 
 * DESCRIPTION: IBM.WRITEME
 * ===========================================================================
 */

#ifndef JAVA_MD_H
#define JAVA_MD_H

#include <windows.h>

#define PATH_SEPARATOR	';'
#define FILE_SEPARATOR	'\\'
#define MAXPATHLEN      MAX_PATH

#ifdef JAVA_ARGS
/*
 * ApplicationHome is prepended to each of these entries; the resulting
 * strings are concatenated (seperated by PATH_SEPARATOR) and used as the
 * value of -cp option to the launcher.
 */
#ifndef APP_CLASSPATH
#define APP_CLASSPATH        { "\\lib\\tools.jar", "\\classes" }
#endif
#endif

/*
 * Support for doing cheap, accurate interval timing.
 */
extern jlong CounterGet(void);
extern jlong Counter2Micros(jlong counts);

#ifdef JAVAW
#define main _main
extern int _main(int argc, char **argv);
#endif

/* ibm@1140 ibm@3218
 * Define ATOE functions as no-ops
 */
#define InitMain(c,v)
#define ConvertArgsToPlatform(c,v)

#endif
